Subject: bug#18133: Suppressing asynchronous command output

From: Eli Zaretskii <[email-masked]>
Date: Sat, 24 Dec 2016 14:06:51 +0200

> From: Reuben Thomas <[email-masked]>
> Date: Sat, 24 Dec 2016 11:11:37 +0000
> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> 
>  To turn this into a minor mode I would do two things:
> 
> ​Please, start from the patch I provided, and read the discussion in previous messages; otherwise, you're
> partly rehashing old conversations.
> 
> In any case, adding a minor mode might be tidier than adding suggestions to display-buffer-alist, but it's worse
> in terms of adding complexity to Emacs. It's not worth it.
> 
> In my view, what I suggested is simply the correct behaviour, and should be the default.
> 
> In Eli's view, we should not change the default unless it proves popular.
> 
> I am therefore seeking a way to make it easier to customize than at present (as you can see, at present it
> requires 10 lines of code, which is 10 times too much).
> 
> ​Any suggestions?​ Eli?

Not sure why this went astray so much.  Let me try bringing it back on
track.

display-buffer-alist is a defcustom.  The issue at hand is to offer
users a way of customizing display-buffer-alist such that buffers
whose names match "*Async Shell Command*" will not be displayed unless
they have something to show the user.

Martin, what can we add to the display-buffer-alist's defcustom to
allow users easy customization to that effect?

Thanks.